# Create manual verification screening

POST https://api.letsdeel.com/rest/v2/screenings/manual-verification
Content-Type: multipart/form-data

Use this endpoint to create a manual identity verification submission (in case automated one has failed multiple times or document country is not supported by automated solution)
 **Token scopes**: `worker:write`

Reference: https://developer.deel.com/api/endpoints/screenings/create-manual-verification

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Deel HRIS SCIM API
  version: 1.0.0
paths:
  /screenings/manual-verification:
    post:
      operationId: create-manual-verification
      summary: Create manual verification screening
      description: >-
        Use this endpoint to create a manual identity verification submission
        (in case automated one has failed multiple times or document country is
        not supported by automated solution)
         **Token scopes**: `worker:write`
      tags:
        - subpackage_screenings
      parameters:
        - name: Authorization
          in: header
          description: >
            ## Authentication

            The Deel API uses bearer tokens to authenticate requests. All API
            calls must be made over HTTPS — calls over plain HTTP or without
            authentication will fail.


            ```curl

            curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
              -H 'Authorization: Bearer YOUR-TOKEN-HERE'
            ```


            [Learn more about authentication](/api/authentication)
          required: true
          schema:
            type: string
      responses:
        '201':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/screenings_createManualVerification_Response_201
        '400':
          description: Bad Request - Validation error
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/CreateManualVerificationScreeningRequestBadRequestError
        '401':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '403':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '404':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '409':
          description: Conflict - There is an existing name change screening pending
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/CreateManualVerificationScreeningRequestConflictError
        '500':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                back:
                  type: string
                  format: binary
                  description: The back side of the document
                front:
                  type: string
                  format: binary
                  description: The front side of the document
                additional:
                  type: string
                  format: binary
                  description: An additional document
                document_type:
                  $ref: >-
                    #/components/schemas/ScreeningsManualVerificationPostRequestBodyContentMultipartFormDataSchemaDocumentType
                  description: The type of document to be verified
                operation_type:
                  $ref: >-
                    #/components/schemas/ScreeningsManualVerificationPostRequestBodyContentMultipartFormDataSchemaOperationType
                  description: The type of KYC operation to perform
                selfie_with_id:
                  type: string
                  format: binary
                  description: A selfie of the user holding the ID document
                document_country:
                  type: string
                  description: >-
                    The issuing country code of the document to be verified (ISO
                    3166-1 alpha-2)
                proof_of_residence:
                  type: string
                  format: binary
                  description: A proof of residence document
                translation_required:
                  type: boolean
                  description: Indicates whether the document requires translation
              required:
                - front
                - document_type
                - operation_type
                - selfie_with_id
                - translation_required
servers:
  - url: https://api.letsdeel.com/rest/v2
  - url: https://api-staging.letsdeel.com/rest/v2
components:
  schemas:
    ScreeningsManualVerificationPostRequestBodyContentMultipartFormDataSchemaDocumentType:
      type: string
      enum:
        - PASSPORT
        - DRIVING_LICENSE
        - GOVERNMENT_ID
        - OTHER
      description: The type of document to be verified
      title: >-
        ScreeningsManualVerificationPostRequestBodyContentMultipartFormDataSchemaDocumentType
    ScreeningsManualVerificationPostRequestBodyContentMultipartFormDataSchemaOperationType:
      type: string
      enum:
        - IDENTITY_RESUBMISSION_KYC
        - IDENTITY_VERIFICATION_KYC
        - NAME_CHANGE_KYC
      description: The type of KYC operation to perform
      title: >-
        ScreeningsManualVerificationPostRequestBodyContentMultipartFormDataSchemaOperationType
    ScreeningsManualVerificationPostResponsesContentApplicationJsonSchemaData:
      type: object
      properties:
        created_at:
          type: string
          format: date-time
          description: >-
            Timestamp when screening was successfully received and processed
            (ISO 8601)
        request_id:
          type: string
          description: Unique request identifier
      required:
        - created_at
        - request_id
      title: >-
        ScreeningsManualVerificationPostResponsesContentApplicationJsonSchemaData
    screenings_createManualVerification_Response_201:
      type: object
      properties:
        data:
          $ref: >-
            #/components/schemas/ScreeningsManualVerificationPostResponsesContentApplicationJsonSchemaData
      required:
        - data
      title: screenings_createManualVerification_Response_201
    CreateManualVerificationScreeningRequestBadRequestError:
      type: object
      properties:
        code:
          type: integer
        message:
          type: string
          description: Human-readable error message
      required:
        - code
        - message
      title: CreateManualVerificationScreeningRequestBadRequestError
    ApiErrorRequest:
      type: object
      properties:
        method:
          type: string
          description: The HTTP method of the failed request
        url:
          type: string
          description: The relative URL of the failed request
        status:
          type: number
          format: double
          description: The status code of the response
        api_req_id:
          type: string
          description: The request ID of the failed request
        docs:
          type: string
          description: >-
            A link to the official documentation for the requested endpoint
            resource
        source:
          type: string
          description: The source handler which produced the returned error
        code:
          type: number
          format: double
          description: The code of the source handler which produced the returned error
      title: ApiErrorRequest
    ApiError:
      type: object
      properties:
        message:
          type: string
          description: A description of the returned error
        path:
          type: string
          description: The JSON path where input validation failed
      title: ApiError
    ApiErrorContainer:
      type: object
      properties:
        request:
          $ref: '#/components/schemas/ApiErrorRequest'
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ApiError'
      title: ApiErrorContainer
    CreateManualVerificationScreeningRequestConflictError:
      type: object
      properties:
        code:
          type: integer
        message:
          type: string
      required:
        - code
        - message
      title: CreateManualVerificationScreeningRequestConflictError
  securitySchemes:
    deelToken:
      type: http
      scheme: bearer
      description: >
        ## Authentication

        The Deel API uses bearer tokens to authenticate requests. All API calls
        must be made over HTTPS — calls over plain HTTP or without
        authentication will fail.


        ```curl

        curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
          -H 'Authorization: Bearer YOUR-TOKEN-HERE'
        ```


        [Learn more about authentication](/api/authentication)
    oauth2:
      type: http
      scheme: bearer
      description: >-
        Standard OAuth2 security scheme based on
        https://swagger.io/docs/specification/authentication/

```

## SDK Code Examples

```python
import requests

url = "https://api.letsdeel.com/rest/v2/screenings/manual-verification"

files = {
    "back": "open('<file1>', 'rb')",
    "front": "open('string', 'rb')",
    "additional": "open('<file1>', 'rb')",
    "selfie_with_id": "open('string', 'rb')",
    "proof_of_residence": "open('<file1>', 'rb')"
}
payload = {
    "document_type": "PASSPORT",
    "operation_type": "IDENTITY_RESUBMISSION_KYC",
    "document_country": ,
    "translation_required": "true"
}
headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, data=payload, files=files, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/v2/screenings/manual-verification';
const form = new FormData();
form.append('back', '<file1>');
form.append('front', 'string');
form.append('additional', '<file1>');
form.append('document_type', 'PASSPORT');
form.append('operation_type', 'IDENTITY_RESUBMISSION_KYC');
form.append('selfie_with_id', 'string');
form.append('document_country', '');
form.append('proof_of_residence', '<file1>');
form.append('translation_required', 'true');

const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

options.body = form;

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/v2/screenings/manual-verification"

	payload := strings.NewReader("-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"back\"; filename=\"<file1>\"\r\nContent-Type: application/octet-stream\r\n\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"front\"; filename=\"string\"\r\nContent-Type: application/octet-stream\r\n\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"additional\"; filename=\"<file1>\"\r\nContent-Type: application/octet-stream\r\n\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"document_type\"\r\n\r\nPASSPORT\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"operation_type\"\r\n\r\nIDENTITY_RESUBMISSION_KYC\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"selfie_with_id\"; filename=\"string\"\r\nContent-Type: application/octet-stream\r\n\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"document_country\"\r\n\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"proof_of_residence\"; filename=\"<file1>\"\r\nContent-Type: application/octet-stream\r\n\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"translation_required\"\r\n\r\ntrue\r\n-----011000010111000001101001--\r\n")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/v2/screenings/manual-verification")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request.body = "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"back\"; filename=\"<file1>\"\r\nContent-Type: application/octet-stream\r\n\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"front\"; filename=\"string\"\r\nContent-Type: application/octet-stream\r\n\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"additional\"; filename=\"<file1>\"\r\nContent-Type: application/octet-stream\r\n\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"document_type\"\r\n\r\nPASSPORT\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"operation_type\"\r\n\r\nIDENTITY_RESUBMISSION_KYC\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"selfie_with_id\"; filename=\"string\"\r\nContent-Type: application/octet-stream\r\n\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"document_country\"\r\n\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"proof_of_residence\"; filename=\"<file1>\"\r\nContent-Type: application/octet-stream\r\n\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"translation_required\"\r\n\r\ntrue\r\n-----011000010111000001101001--\r\n"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.letsdeel.com/rest/v2/screenings/manual-verification")
  .header("Authorization", "Bearer <token>")
  .body("-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"back\"; filename=\"<file1>\"\r\nContent-Type: application/octet-stream\r\n\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"front\"; filename=\"string\"\r\nContent-Type: application/octet-stream\r\n\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"additional\"; filename=\"<file1>\"\r\nContent-Type: application/octet-stream\r\n\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"document_type\"\r\n\r\nPASSPORT\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"operation_type\"\r\n\r\nIDENTITY_RESUBMISSION_KYC\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"selfie_with_id\"; filename=\"string\"\r\nContent-Type: application/octet-stream\r\n\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"document_country\"\r\n\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"proof_of_residence\"; filename=\"<file1>\"\r\nContent-Type: application/octet-stream\r\n\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"translation_required\"\r\n\r\ntrue\r\n-----011000010111000001101001--\r\n")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.letsdeel.com/rest/v2/screenings/manual-verification', [
  'multipart' => [
    [
        'name' => 'back',
        'filename' => '<file1>',
        'contents' => null
    ],
    [
        'name' => 'front',
        'filename' => 'string',
        'contents' => null
    ],
    [
        'name' => 'additional',
        'filename' => '<file1>',
        'contents' => null
    ],
    [
        'name' => 'document_type',
        'contents' => 'PASSPORT'
    ],
    [
        'name' => 'operation_type',
        'contents' => 'IDENTITY_RESUBMISSION_KYC'
    ],
    [
        'name' => 'selfie_with_id',
        'filename' => 'string',
        'contents' => null
    ],
    [
        'name' => 'proof_of_residence',
        'filename' => '<file1>',
        'contents' => null
    ],
    [
        'name' => 'translation_required',
        'contents' => 'true'
    ]
  ]
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/v2/screenings/manual-verification");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddParameter("undefined", "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"back\"; filename=\"<file1>\"\r\nContent-Type: application/octet-stream\r\n\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"front\"; filename=\"string\"\r\nContent-Type: application/octet-stream\r\n\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"additional\"; filename=\"<file1>\"\r\nContent-Type: application/octet-stream\r\n\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"document_type\"\r\n\r\nPASSPORT\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"operation_type\"\r\n\r\nIDENTITY_RESUBMISSION_KYC\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"selfie_with_id\"; filename=\"string\"\r\nContent-Type: application/octet-stream\r\n\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"document_country\"\r\n\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"proof_of_residence\"; filename=\"<file1>\"\r\nContent-Type: application/octet-stream\r\n\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"translation_required\"\r\n\r\ntrue\r\n-----011000010111000001101001--\r\n", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]
let parameters = [
  [
    "name": "back",
    "fileName": "<file1>"
  ],
  [
    "name": "front",
    "fileName": "string"
  ],
  [
    "name": "additional",
    "fileName": "<file1>"
  ],
  [
    "name": "document_type",
    "value": "PASSPORT"
  ],
  [
    "name": "operation_type",
    "value": "IDENTITY_RESUBMISSION_KYC"
  ],
  [
    "name": "selfie_with_id",
    "fileName": "string"
  ],
  [
    "name": "document_country",
    "value": 
  ],
  [
    "name": "proof_of_residence",
    "fileName": "<file1>"
  ],
  [
    "name": "translation_required",
    "value": "true"
  ]
]

let boundary = "---011000010111000001101001"

var body = ""
var error: NSError? = nil
for param in parameters {
  let paramName = param["name"]!
  body += "--\(boundary)\r\n"
  body += "Content-Disposition:form-data; name=\"\(paramName)\""
  if let filename = param["fileName"] {
    let contentType = param["content-type"]!
    let fileContent = String(contentsOfFile: filename, encoding: String.Encoding.utf8)
    if (error != nil) {
      print(error as Any)
    }
    body += "; filename=\"\(filename)\"\r\n"
    body += "Content-Type: \(contentType)\r\n\r\n"
    body += fileContent
  } else if let paramValue = param["value"] {
    body += "\r\n\r\n\(paramValue)"
  }
}

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/v2/screenings/manual-verification")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```